diff -ur a/nwg_shell/installer.py b/nwg_shell/installer.py
--- a/nwg_shell/installer.py	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/installer.py	2024-04-23 08:06:15.320307748 -0400
@@ -173,7 +173,7 @@
         print("    This script installs/overwrites configs and style sheets       ")
         print("          for sway, Hyprland and nwg-shell components.             ")
         print("  The only backup that will be made is the main sway config file.  ")
-        print("   This script should be used on a fresh Arch Linux installation.  ")
+        print("   This script should be used on a fresh Slackware installation.   ")
         print("            If you're running it on your existing setup,           ")
         print("                 you're doing it at your own risk.                 ")
         print("*******************************************************************")
@@ -255,7 +255,7 @@
                         break
 
             if "editor" not in s or not s["editor"]:
-                for cmd in ["mousepad", "atom", "emacs", "gedit", "geany", "kate", "vim"]:
+                for cmd in ["mousepad", "atom", "emacs", "gedit", "joe", "kate", "vim"]:
                     if is_command(cmd):
                         s["editor"] = cmd
                         break
@@ -307,8 +307,8 @@
             else:
                 print("Your computer will now restart...")
                 time.sleep(3)
-                if is_command("systemctl"):
-                    subprocess.call("sudo systemctl reboot -f", shell=True, stdout=subprocess.DEVNULL, stderr=subprocess.STDOUT)
+                if is_command("loginctl"):
+                    subprocess.call("sudo loginctl reboot", shell=True, stdout=subprocess.DEVNULL, stderr=subprocess.STDOUT)
                 else:
                     subprocess.call("sudo reboot", shell=True, stdout=subprocess.DEVNULL, stderr=subprocess.STDOUT)
 
diff -ur a/nwg_shell/main.py b/nwg_shell/main.py
--- a/nwg_shell/main.py	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/main.py	2024-04-23 08:06:35.004983477 -0400
@@ -10,7 +10,6 @@
     print("  nwg-shell-installer -a [-hypr] installs All configs from scratch; [-hypr] includes Hyprland configs")
     print("  nwg-shell-installer -w [-hypr] installs configs from scratch w/ no dialogs; [-hypr] includes Hyprland configs")
     print("  nwg-shell-installer -r [-hypr] Restores missing configs, styles & data files; [-hypr] includes Hyprland configs")
-    print("  nwg-shell-check-updates        system command to check updates; no point in using manually")
     print('\nWiki: https://github.com/nwg-piotr/nwg-shell/wiki')
 
 
diff -ur a/nwg_shell/skel/config/foot/foot.ini b/nwg_shell/skel/config/foot/foot.ini
--- a/nwg_shell/skel/config/foot/foot.ini	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/foot/foot.ini	2024-04-23 08:06:57.188618092 -0400
@@ -2,7 +2,7 @@
 
 # shell=$SHELL (if set, otherwise user's default shell from /etc/passwd)
 # term=foot (or xterm-256color if built with -Dterminfo=disabled)
-# login-shell=no
+login-shell=yes
 
 # app-id=foot
 # title=foot
diff -ur a/nwg_shell/skel/config/hypr/hyprland.conf b/nwg_shell/skel/config/hypr/hyprland.conf
--- a/nwg_shell/skel/config/hypr/hyprland.conf	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/hypr/hyprland.conf	2024-04-23 08:07:58.307611735 -0400
@@ -17,8 +17,7 @@
 #
 exec = /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1
 exec-once = ~/.azotebg-hyprland # Wallpaper
-exec-once = systemctl --user import-environment WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
-exec-once = dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
+exec-once = dbus-update-activation-environment --all WAYLAND_DISPLAY XDG_CURRENT_DESKTOP
 
 #
 # Include settings generated by nwg-shell-config
diff -ur a/nwg_shell/skel/config/nwg-bar/bar.json b/nwg_shell/skel/config/nwg-bar/bar.json
--- a/nwg_shell/skel/config/nwg-bar/bar.json	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-bar/bar.json	2024-04-23 08:13:11.595459991 -0400
@@ -11,12 +11,12 @@
   },
   {
     "label": "Reboot",
-    "exec": "systemctl reboot",
+    "exec": "loginctl reboot",
     "icon": "/usr/share/nwg-bar/images/system-reboot.svg"
   },
   {
     "label": "Shutdown",
-    "exec": "systemctl -i poweroff",
+    "exec": "loginctl -i poweroff",
     "icon": "/usr/share/nwg-bar/images/system-shutdown.svg"
   }
 ]
\ No newline at end of file
diff -ur a/nwg_shell/skel/config/nwg-bar/hyprland.json b/nwg_shell/skel/config/nwg-bar/hyprland.json
--- a/nwg_shell/skel/config/nwg-bar/hyprland.json	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-bar/hyprland.json	2024-04-23 08:13:32.787113097 -0400
@@ -11,12 +11,12 @@
   },
   {
     "label": "_Reboot",
-    "exec": "systemctl reboot",
+    "exec": "loginctl reboot",
     "icon": "/usr/share/nwg-bar/images/system-reboot.svg"
   },
   {
     "label": "_Shutdown",
-    "exec": "systemctl -i poweroff",
+    "exec": "loginctl -i poweroff",
     "icon": "/usr/share/nwg-bar/images/system-shutdown.svg"
   }
 ]
\ No newline at end of file
diff -ur a/nwg_shell/skel/config/nwg-panel/hyprland-0 b/nwg_shell/skel/config/nwg-panel/hyprland-0
--- a/nwg_shell/skel/config/nwg-panel/hyprland-0	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-panel/hyprland-0	2024-04-23 08:14:52.432809425 -0400
@@ -84,11 +84,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/hyprland-1 b/nwg_shell/skel/config/nwg-panel/hyprland-1
--- a/nwg_shell/skel/config/nwg-panel/hyprland-1	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-panel/hyprland-1	2024-04-23 08:14:58.944702840 -0400
@@ -86,11 +86,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/hyprland-2 b/nwg_shell/skel/config/nwg-panel/hyprland-2
--- a/nwg_shell/skel/config/nwg-panel/hyprland-2	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-panel/hyprland-2	2024-04-23 08:15:06.752575048 -0400
@@ -83,11 +83,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
@@ -142,8 +142,8 @@
     "menu-start-settings": {
       "cmd-lock": "swaylock -f -c 000000",
       "cmd-logout": "swaymsg exit",
-      "cmd-restart": "systemctl reboot",
-      "cmd-shutdown": "systemctl -i poweroff",
+      "cmd-restart": "loginctl reboot",
+      "cmd-shutdown": "loginctl -i poweroff",
       "autohide": true,
       "file-manager": "thunar",
       "height": 0,
diff -ur a/nwg_shell/skel/config/nwg-panel/hyprland-3 b/nwg_shell/skel/config/nwg-panel/hyprland-3
--- a/nwg_shell/skel/config/nwg-panel/hyprland-3	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-panel/hyprland-3	2024-04-23 08:15:15.176437171 -0400
@@ -82,11 +82,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/preset-0 b/nwg_shell/skel/config/nwg-panel/preset-0
--- a/nwg_shell/skel/config/nwg-panel/preset-0	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-panel/preset-0	2024-04-23 08:15:23.410302403 -0400
@@ -85,11 +85,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/preset-1 b/nwg_shell/skel/config/nwg-panel/preset-1
--- a/nwg_shell/skel/config/nwg-panel/preset-1	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-panel/preset-1	2024-04-23 08:15:31.000178183 -0400
@@ -87,11 +87,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/nwg-panel/preset-2 b/nwg_shell/skel/config/nwg-panel/preset-2
--- a/nwg_shell/skel/config/nwg-panel/preset-2	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-panel/preset-2	2024-04-23 08:15:38.024063224 -0400
@@ -99,11 +99,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
@@ -148,8 +148,8 @@
     "menu-start-settings": {
       "cmd-lock": "swaylock -f -c 000000",
       "cmd-logout": "swaymsg exit",
-      "cmd-restart": "systemctl reboot",
-      "cmd-shutdown": "systemctl -i poweroff",
+      "cmd-restart": "loginctl reboot",
+      "cmd-shutdown": "loginctl -i poweroff",
       "autohide": true,
       "file-manager": "thunar",
       "height": 0,
diff -ur a/nwg_shell/skel/config/nwg-panel/preset-3 b/nwg_shell/skel/config/nwg-panel/preset-3
--- a/nwg_shell/skel/config/nwg-panel/preset-3	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/nwg-panel/preset-3	2024-04-23 08:15:45.775936353 -0400
@@ -83,11 +83,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "nwg-dialog -p reboot -c \"systemctl reboot\""
+            "cmd": "nwg-dialog -p reboot -c \"loginctl reboot\""
           },
           {
             "name": "Shutdown",
-            "cmd": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\""
+            "cmd": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\""
           }
         ]
       },
diff -ur a/nwg_shell/skel/config/sway/autostart b/nwg_shell/skel/config/sway/autostart
--- a/nwg_shell/skel/config/sway/autostart	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/sway/autostart	2024-04-23 08:16:45.765954548 -0400
@@ -6,8 +6,6 @@
 exec_always nwg-autotiling
 exec_always nwg-drawer -r -s preset-0.css -term foot -ft
 exec_always nwg-panel -c preset-0 -s preset-0.css
-exec_always nwg-shell-check-updates
 exec nwg-look -a
-exec nwg-update-indicator
 exec_always nwg-screenshot-applet
 exec_always nwg-shell-config -s
diff -ur a/nwg_shell/skel/config/sway/config b/nwg_shell/skel/config/sway/config
--- a/nwg_shell/skel/config/sway/config	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/config/sway/config	2024-04-23 08:18:36.244146606 -0400
@@ -36,10 +36,9 @@
 
 ###############     Autostart      ##################
 
-exec systemctl --user import-environment DISPLAY WAYLAND_DISPLAY SWAYSOCK
 exec hash dbus-update-activation-environment 2>/dev/null && \
-    dbus-update-activation-environment --systemd DISPLAY WAYLAND_DISPLAY SWAYSOCK
-exec /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1
+    dbus-update-activation-environment --all DISPLAY WAYLAND_DISPLAY SWAYSOCK
+exec /usr/libexec/polkit-gnome-authentication-agent-1
 exec ~/.azotebg
 
 ### Turn off screen on lid closed
diff -ur a/nwg_shell/skel/data/nwg-shell-config/settings b/nwg_shell/skel/data/nwg-shell-config/settings
--- a/nwg_shell/skel/data/nwg-shell-config/settings	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/data/nwg-shell-config/settings	2024-04-23 08:20:04.961694894 -0400
@@ -18,9 +18,9 @@
   "browser": "",
   "pb-exit": "nwg-dialog -p exit-sway -c \"swaymsg exit\"",
   "pb-lock": "nwg-lock",
-  "pb-poweroff": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\"",
-  "pb-reboot": "nwg-dialog -p reboot -c \"systemctl reboot\"",
-  "pb-sleep": "nwg-dialog -p sleep -c \"systemctl suspend\"",
+  "pb-poweroff": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\"",
+  "pb-reboot": "nwg-dialog -p reboot -c \"loginctl reboot\"",
+  "pb-sleep": "nwg-dialog -p sleep -c \"loginctl suspend\"",
   "panel-preset": "preset-0",
   "panel-custom": "",
   "show-on-startup": false,
@@ -90,13 +90,13 @@
   "gtklock-logout-command": "swaymsg exit",
   "gtklock-playerctl": false,
   "gtklock-powerbar": false,
-  "gtklock-poweroff-command": "systemctl -i poweroff",
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-suspend-command": "systemctl suspend",
+  "gtklock-poweroff-command": "loginctl -i poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-suspend-command": "loginctl suspend",
   "gtklock-time-format": "%H:%M:%S",
   "gtklock-userinfo": false,
   "gtklock-userswitch-command": "",
   "update-indicator-on": true,
   "update-indicator-interval": 30,
-  "update-command": "nwg-system-update"
+  "update-command": ""
 }
\ No newline at end of file
diff -ur a/nwg_shell/skel/data/nwg-shell-config/settings-hyprland b/nwg_shell/skel/data/nwg-shell-config/settings-hyprland
--- a/nwg_shell/skel/data/nwg-shell-config/settings-hyprland	2024-04-18 20:06:36.000000000 -0400
+++ b/nwg_shell/skel/data/nwg-shell-config/settings-hyprland	2024-04-23 08:20:16.632503931 -0400
@@ -16,9 +16,9 @@
   "show-on-startup": false,
   "pb-exit": "nwg-dialog -p exit-hyprland -c \"hyprctl dispatch exit\"",
   "pb-lock": "nwg-lock",
-  "pb-poweroff": "nwg-dialog -p poweroff -c \"systemctl -i poweroff\"",
-  "pb-reboot": "nwg-dialog -p reboot -c \"systemctl reboot\"",
-  "pb-sleep": "nwg-dialog -p sleep -c \"systemctl suspend\"",
+  "pb-poweroff": "nwg-dialog -p poweroff -c \"loginctl -i poweroff\"",
+  "pb-reboot": "nwg-dialog -p reboot -c \"loginctl reboot\"",
+  "pb-sleep": "nwg-dialog -p sleep -c \"loginctl suspend\"",
   "gen-use-settings": true,
   "gen-border_size": 1,
   "gen-no_border_on_floating": false,
@@ -104,7 +104,7 @@
   "lockscreen-custom-cmd": "",
   "lockscreen-timeout": 1200,
   "screenshot": true,
-  "sleep-cmd": "systemctl suspend",
+  "sleep-cmd": "loginctl suspend",
   "sleep-timeout": 1800,
   "resume-cmd": "",
   "before-sleep": "",
@@ -129,13 +129,13 @@
   "gtklock-logout-command": "swaymsg exit",
   "gtklock-playerctl": false,
   "gtklock-powerbar": false,
-  "gtklock-poweroff-command": "systemctl -i poweroff",
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-suspend-command": "systemctl suspend",
+  "gtklock-poweroff-command": "loginctl -i poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-suspend-command": "loginctl suspend",
   "gtklock-time-format": "%H:%M:%S",
   "gtklock-userinfo": false,
   "gtklock-userswitch-command": "",
   "update-indicator-on": true,
   "update-indicator-interval": 30,
-  "update-command": "nwg-system-update"
+  "update-command": ""
 }
\ No newline at end of file
